=== Documents/CMakeLists.txt ===
ADD_SUBDIRECTORY( Papers   )
ADD_SUBDIRECTORY( Protocol )
