=== Examples/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
       Imager
       Status
       Receiver
+      Thread
       )
 else(NOT OpenIGTLink_PLATFORM_QNX)
   SUBDIRS(
