=== Documents/Papers/CMakeLists.txt ===
ADD_SUBDIRECTORY( InsightJournal2008 )
