=== debian/changelog ===
openigtlink (1.0.0~svn6270-1) unstable; urgency=low

  * new upstream snaphot

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 17 Apr 2010 07:42:13 -0400

openigtlink (1.0.0~svn5602-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Update to Debian Policy 3.8.4 (no changes)
  * fixed multithreading tests

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 14 Apr 2010 09:55:06 -0400

openigtlink (1.0.0~svn5516-1) unstable; urgency=low

  * switched from dpatch to quilt
  * Bump Standards-Version to 3.8.3
    added DEB_HOST_ARCH_CPU and DEB_HOST_ARCH_OS
  * updated watch file
  * updated debian/get-orig-source
  * added debian/README.source

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 11 Jan 2010 20:40:59 -0500

openigtlink (1.0.0~svn3987-1) unstable; urgency=low

  * new snapshot
  * fixed configure issue
  * added watch file (Closes: #520529)
  * *.cmake files are going to be installed into
    /usr/lib/openigtlink/ instead of /usr/lib/igtl/ so that 
    CMake's find_package() has a chance to find it in Config mode

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Thu, 26 Mar 2009 19:45:05 -0400

openigtlink (1.0.0~svn3601-1) unstable; urgency=low

  * Initial release (Closes: #509309)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 01 Feb 2009 00:11:19 -0600
