=== debian/control ===
Source: openigtlink
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Dominique Belhachemi <domibel@cs.tu-berlin.de>
Build-Depends: debhelper (>= 7), quilt, cmake
Build-Depends-Indep: doxygen (>= 1.6.2), graphviz, gnuplot-nox, texlive, ghostscript
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/openigtlink/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/openigtlink/trunk/
Section: libs
Homepage: http://www.na-mic.org/Wiki/index.php/OpenIGTLink


Package: libopenigtlink1-dev
Section: libdevel
Architecture: any
Depends: libopenigtlink1 (= ${binary:Version}), ${misc:Depends}
Description: Open IGT Link is a simple network protocol - development
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 This package contains the development files needed to build
 your own IGT applications.


Package: libopenigtlink1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open IGT Link is a simple network protocol - runtime
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application. 
 Some devices might also accept commands.
 .
 This package contains library files for OpenIGTLink.
 

Package: openigtlink-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Open IGT Link is a simple network protocol - documentation
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 This package contains documentation files for OpenIGTLink.


Package: openigtlink-examples
Section: doc
Suggests: libopenigtlink1-dev
Architecture: all
Depends: ${misc:Depends}
Description: Open IGT Link is a simple network protocol - examples
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 This package contains examples from the OpenIGTLink source.
