## openigtlink 1.9.2~svn7468

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,17 @@
 #-----------------------------------------------------------------------------
 # OpenIGTlink version number.
 SET(OpenIGTLink_VERSION_MAJOR "1")
-SET(OpenIGTLink_VERSION_MINOR "0")
-SET(OpenIGTLink_VERSION_PATCH "0")
-
+SET(OpenIGTLink_VERSION_MINOR "9")
+SET(OpenIGTLink_VERSION_PATCH "2")
+
+
+option(OpenIGTLink_PROTOCOL_VERSION_2 "Build Library for Protocol Version 2" OFF)
+
+IF(OpenIGTLink_PROTOCOL_VERSION_2)
+  SET(OpenIGTLink_PROTOCOL_VERSION "2")
+ELSE(OpenIGTLink_PROTOCOL_VERSION_2)
+  SET(OpenIGTLink_PROTOCOL_VERSION "1")
+ENDIF(OpenIGTLink_PROTOCOL_VERSION_2)
 
 
 #-----------------------------------------------------------------------------
@@ -45,6 +53,11 @@
 
 SET(OpenIGTLink_LIBRARY_PATH "${LIBRARY_OUTPUT_PATH}")
 SET(OpenIGTLink_EXECUTABLE_PATH "${EXECUTABLE_OUTPUT_PATH}")
+
+SET(OpenIGTLink_CMAKE_DIR "${OpenIGTLink_SOURCE_DIR}/CMake")
+SET(CMAKE_MODULE_PATH "${OpenIGTLink_SOURCE_DIR}/CMake" ${CMAKE_MODULE_PATH})
+
+
 
 
 #-----------------------------------------------------------------------------
@@ -110,8 +123,16 @@
 INCLUDE (FindThreads)
 
 IF(CMAKE_COMPILER_IS_GNUCXX)
-  SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -w")
-  SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -ftemplate-depth-50")
+
+  # '-fno-tree-vectorize' option is added to avoid segmentation fault that occurs in
+  # igtl_image_convert_byte_order() (Source/igtlutil/igtl_image.c) built with 'Release'
+  # option on 64-bit Linux. 
+  INCLUDE (CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-fno-tree-vectorize" OpenIGTLink_GNUCXX_TREE_VECTORIZE_SUPPORT)
+  IF (OpenIGTLink_GNUCXX_TREE_VECTORIZE_SUPPORT)
+    SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -w -fno-tree-vectorize")
+    SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -ftemplate-depth-50 -fno-tree-vectorize")
+  ENDIF (OpenIGTLink_GNUCXX_TREE_VECTORIZE_SUPPORT)
 
   # If the library is built as a static library, pass -fPIC option to the compiler
   IF(OpenIGTLink_BUILD_GENERATE_PIC)
@@ -164,6 +185,14 @@
 
 
 #-----------------------------------------------------------------------------
+# Platform configuration tests.
+
+# Socket tests etc.
+INCLUDE(${OpenIGTLink_CMAKE_DIR}/OpenIGTLinkCMakeTests.cmake)
+
+
+
+#-----------------------------------------------------------------------------
 # Generate Configuration Header files.
 
 include (${OpenIGTLink_SOURCE_DIR}/OpenIGTLinkConfigPlatform.cmake)
@@ -199,6 +228,7 @@
   ${OpenIGTLink_BINARY_DIR}/OpenIGTLinkBuildSettings.cmake
 #  ${OpenIGTLink_BINARY_DIR}/OpenIGTLinkLibraryDepends.cmake
   ${OpenIGTLink_BINARY_DIR}/UseOpenIGTLink.cmake
+  ${OpenIGTLink_BINARY_DIR}/Utilities/OpenIGTLinkConfig.cmake
   DESTINATION ${OpenIGTLink_INSTALL_PACKAGE_DIR}
   COMPONENT Development
   )
@@ -211,7 +241,7 @@
 
 INSTALL(FILES
   ${OpenIGTLink_BINARY_DIR}/igtl_typeconfig.h
-  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}/igtlutil
+  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
   COMPONENT Development
   )
