=== Source/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-
 # list of libraries
 # Note: this part should be moved to OpenIGTLinkConfigPlatform.cmake
 IF(OpenIGTLink_PLATFORM_WIN32) # for Windows
@@ -57,6 +56,100 @@
   igtlTransformMessage.cxx
   )
 
+SET(OpenIGTLink_INCLUDE_FILES
+  igtlutil/igtl_header.h
+  igtlutil/igtl_image.h
+  igtlutil/igtl_position.h
+  igtlutil/igtl_transform.h
+  igtlutil/igtl_types.h
+  igtlutil/igtl_util.h
+  igtlClientSocket.h
+  igtlConditionVariable.h
+  igtlCreateObjectFunction.h
+  igtlFastMutexLock.h
+  igtlImageMessage.h
+  igtlLightObject.h
+  igtlMacro.h
+  igtlMath.h
+  igtlMessageBase.h
+  igtlMessageHeader.h
+  igtlMultiThreader.h
+  igtlMutexLock.h
+  igtlObjectFactory.h
+  igtlOSUtil.h
+  igtlObject.h
+  igtlObjectFactoryBase.h
+  igtlPositionMessage.h
+  igtlServerSocket.h
+  igtlSimpleFastMutexLock.h
+  igtlSmartPointer.h
+  igtlSocket.h
+  igtlStatusMessage.h
+  igtlTimeStamp.h
+  igtlTransformMessage.h
+  igtlTypes.h
+  igtlWin32Header.h
+  igtlWindows.h
+)
+
+
+if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
+  SET(OpenIGTLink_SOURCES
+    ${OpenIGTLink_SOURCES}
+    igtlutil/igtl_colortable.c
+    igtlutil/igtl_imgmeta.c
+    igtlutil/igtl_lbmeta.c
+    igtlutil/igtl_point.c
+    igtlutil/igtl_tdata.c
+    igtlutil/igtl_qtdata.c
+    igtlutil/igtl_trajectory.c
+    igtlutil/igtl_unit.c
+    igtlutil/igtl_sensor.c
+    igtlutil/igtl_string.c
+    igtlutil/igtl_ndarray.c
+    igtlutil/igtl_bind.c
+    igtlColorTableMessage.cxx
+    igtlImageMetaMessage.cxx
+    igtlLabelMetaMessage.cxx
+    igtlPointMessage.cxx
+    igtlTrackingDataMessage.cxx
+    igtlQuaternionTrackingDataMessage.cxx
+    igtlTrajectoryMessage.cxx
+    igtlStringMessage.cxx
+    igtlUnit.cxx
+    igtlSensorMessage.cxx
+    igtlBindMessage.cxx
+    igtlNDArrayMessage.cxx
+    )
+  SET(OpenIGTLink_INCLUDE_FILES
+    ${OpenIGTLink_INCLUDE_FILES}
+    igtlutil/igtl_colortable.h
+    igtlutil/igtl_imgmeta.h
+    igtlutil/igtl_lbmeta.h
+    igtlutil/igtl_point.h
+    igtlutil/igtl_tdata.h
+    igtlutil/igtl_qtdata.h
+    igtlutil/igtl_trajectory.h
+    igtlutil/igtl_unit.h
+    igtlutil/igtl_sensor.h
+    igtlutil/igtl_string.h
+    igtlutil/igtl_ndarray.h
+    igtlutil/igtl_bind.h
+    igtlColorTableMessage.h
+    igtlImageMetaMessage.h
+    igtlLabelMetaMessage.h
+    igtlPointMessage.h
+    igtlTrackingDataMessage.h
+    igtlQuaternionTrackingDataMessage.h
+    igtlTrajectoryMessage.h
+    igtlStringMessage.h
+    igtlUnit.h
+    igtlSensorMessage.h
+    igtlBindMessage.h
+    igtlNDArrayMessage.h
+    )
+endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
+
 ADD_LIBRARY(OpenIGTLink
   ${OpenIGTLink_SOURCES}
   )
@@ -70,14 +163,18 @@
   SOVERSION ${OpenIGTLink_VERSION_MAJOR}
 )
 
-FILE(GLOB __files1 "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
-INSTALL(FILES ${__files1}
+#FILE(GLOB __files1 "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
+#INSTALL(FILES ${__files1}
+#  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
+#  COMPONENT Development)
+#
+#FILE(GLOB __files2 "${CMAKE_CURRENT_SOURCE_DIR}/igtlutil/*.h")
+#INSTALL(FILES ${__files2}
+#  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}/igtlutil
+#  COMPONENT Development)
+
+INSTALL(FILES ${OpenIGTLink_INCLUDE_FILES}
   DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
-  COMPONENT Development)
-
-FILE(GLOB __files2 "${CMAKE_CURRENT_SOURCE_DIR}/igtlutil/*.h")
-INSTALL(FILES ${__files2}
-  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}/igtlutil
   COMPONENT Development)
 
 INSTALL(TARGETS OpenIGTLink
