=== debian/changelog ===
openigtlink (1.9.2~svn7468-2) experimental; urgency=low

  * Use OpenIGTLink_PROTOCOL_VERSION_2 in experimental

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 26 Apr 2011 20:20:04 -0400

openigtlink (1.9.2~svn7468-1) unstable; urgency=low

  * Fixed build problems on hurd and kfreebsd

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 26 Apr 2011 19:05:05 -0400

openigtlink (1.9.2~svn7380-2) unstable; urgency=low

  * Removed DEB_DH_STRIP_ARGS variable
  * Activated extra verbose test output
  * Moved doxygen build commands to install/openigtlink-doc:: target

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 17 Apr 2011 12:21:33 -0400

openigtlink (1.9.2~svn7380-1) unstable; urgency=low

  * New upstream version 1.9.2
  * Added debug package libopenigtlink1.9-dbg
  * Use CDBS
  * Bump compat level to 8

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 02 Apr 2011 23:34:10 -0400

openigtlink (1.9.1~svn7162-1) unstable; urgency=low

  * new upstream snapshot
  * removed non-free Documents
  * bump Standard-Version to 3.9.1 (no changes required)
  * build-depend on doxygen-latex (Closes: #616272)
  * Bump SONAME to 1.9
  * removed quilt's patch/unpatch logic
  * removed debian/README.source

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 10 Mar 2011 07:58:53 -0500
