=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Dominique Belhachemi <domibel@cs.tu-berlin.de>
-Build-Depends: debhelper (>= 7), quilt, cmake
-Build-Depends-Indep: doxygen (>= 1.6.2), graphviz, gnuplot-nox, texlive, ghostscript
-Standards-Version: 3.8.4
+Uploaders: Dominique Belhachemi <domibel@debian.org>
+Build-Depends: debhelper (>= 8), cmake, cdbs, quilt
+Build-Depends-Indep: doxygen-latex
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/openigtlink/trunk/?rev=0&sc=0
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/openigtlink/trunk/
 Section: libs
@@ -15,7 +15,7 @@
 Package: libopenigtlink1-dev
 Section: libdevel
 Architecture: any
-Depends: libopenigtlink1 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenigtlink1.9 (= ${binary:Version}), ${misc:Depends}
 Description: Open IGT Link is a simple network protocol - development
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application.
@@ -25,7 +25,7 @@
  your own IGT applications.
 
 
-Package: libopenigtlink1
+Package: libopenigtlink1.9
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Open IGT Link is a simple network protocol - runtime
@@ -35,6 +35,21 @@
  .
  This package contains library files for OpenIGTLink.
  
+
+Package: libopenigtlink1.9-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    libopenigtlink1.9 (= ${binary:Version}),
+    ${misc:Depends}
+Description: debugging symbols for libopenigtlink1.9
+ Open IGT Link is a simple network protocol intended for trackers,
+ robots and other devices to send data to the main application.
+ Some devices might also accept commands.
+ .
+ This package contains the debugging symbols for libopenigtlink1.9.
+
 
 Package: openigtlink-doc
 Section: doc
@@ -59,4 +74,5 @@
  Some devices might also accept commands.
  .
  This package contains examples from the OpenIGTLink source.
-
+ .
+ Consult /usr/share/doc/libopenigtlink1-dev/README.Debian for details.
